Luis Lavena wrote:
> Hello Rubists from the World.
>
> This message is to announce the long waited update version of One-
> Click Ruby Installer (OCI).
>
> This version, built with VC6, updates some of the components,
> including RubyGems and solve bugs found in the installer, sneaking
> also some requested features.
>
> As usual, you can download the latest version from the RubyForge page:
>
> http://rubyforge.org/projects/rubyinstaller
>
> What is included in this version?
>
> Mainly Ruby itself was updated to 1.8.6 patchlevel 287, which will
> make some users feel safer now :-)
> Besides RubyGems 1.2.0, this version updates several gems:
>
> 2008-09 Release 27
> * Upgraded Ruby to 1.8.6 patch level 287
> * Upgraded RubyGems to 1.2.0
> * Upgraded Rake to 0.8.2
> * Removed Rake batch file monkeypatches
> * Upgraded FXRuby to 1.6.16
> * Upgraded SciTE to 1.76. Fixes #8596
> * Merged SciTE Ruby properties file.
> * Upgraded OpenGL to 0.60.0
> * Upgraded Expat to 2.0.1
> * Upgraded Ruby/DBI to 0.2.2
> * Upgraded VRuby to vruby080229
> * Upgraded win32-api to 1.2.0
> * Upgraded windows-api to 0.2.4
> * Upgraded windows-pr to 0.9.3
> * Upgraded win32-file-stat to 1.3.1
> * Upgraded win32-file to 0.5.5
> * Upgraded win32-clipboard to 0.4.4
> * Upgraded win32-eventlog to 0.5.0
> * Upgraded win32-process to 0.5.9
> * Properly identify SystemDrive. Fixes #4946
> * Make RUBYOPT optional as default
> * Unset INPUTRC during uninstall. Fixes #4981
> * Added IRB Shortcut to easy access. Fixes #8489
> * Copy Emacs files to /misc. Fixes #5600
> * Updated .inputrc for European keyboards
>
> NOTE: Keep in mind this is a Release Candidate and should be used for
> compatibility testing until Final version is released.
>
> If no outstanding issue is raised, I'll consider this version stable
> and mark it as final. If not, expect another RC next week :-D
>
> Thank you again for your patience waiting for this release.
>
> Regards,

Luis, thanks a lot!! 

By the way, I'm not sure if anything has changed, but this seems to be 
very fast.  In fairness, I bought a new PC (quad-core 4GB RAM) that is 
running Vista Business.  I installed it on that PC and for some reason 
(could be the PC, the RAM) but it is blazing fasssst!

ruby -v is instant.  No, I mean it - instant!  No cursor blinking, no 
nothing else.  Just instant!

It could be any number of issues - my virus scanner is not yet fully 
enabled, the machine is fast.  But, I have not yet on any of my machines 
seen Ruby go so fasst!

Unfortunately, I haven't been able to compare it - my old laptop runs on 
XP and is using OCI 186-26... I haven't upgraded yet (not sure what the 
process is) and I installed OCI 186-27 directly on the new machine.  
But, I'm happy.

So, thanks again!

Cheers,
Mohit.
9/29/2008 | 12:02 AM.